Skip to main content
`Ctrl`+`K`

# PetscSubcommSetNumber

Set total number of subcommunicators desired in the given `PetscSubcomm`

## Synopsis

    #include "petscsys.h"
    PetscErrorCode PetscSubcommSetNumber(PetscSubcomm psubcomm, PetscInt nsubcomm)

Collective

## Input Parameters

- psubcomm - `PetscSubcomm` context

- nsubcomm - the total number of subcommunicators in psubcomm

## See Also

`PetscSubcomm`, `PetscSubcommCreate()`, `PetscSubcommDestroy()`, `PetscSubcommSetType()`, `PetscSubcommSetTypeGeneral()`

## Level

advanced

## Location

src/sys/objects/subcomm.c

## Examples

src/ksp/ksp/tutorials/ex73.c

Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages